<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
ChangeState Method (IEdmBom)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmBom Interface : ChangeState Method (IEdmBom)

Visual Basic
C#
C++/CLI

poStateIdOrName
  Name or ID of new workflow state

bsComment
  Comment to append to the history of this BOM

lParentWnd
  Parent window handle; passed to registered add-ins

lEdmStateFlags
  Combination of EdmStateFlags bits

Changes the workflow state of this BOM.

# Syntax

Visual Basic |
--- | ---

    Sub ChangeState( _
       ByVal poStateIdOrName As System.Object, _
       ByVal bsComment As System.String, _
       ByVal lParentWnd As System.Integer, _
       Optional ByVal lEdmStateFlags As System.Integer _
    )

C# |
--- | ---

    void ChangeState(
       System.object poStateIdOrName,
       System.string bsComment,
       System.int lParentWnd,
       System.int lEdmStateFlags
    )

C++/CLI |
--- | ---

    void ChangeState(
    &   System.Object^ poStateIdOrName,
    &   System.String^ bsComment,
    &   System.int lParentWnd,
    &   System.int lEdmStateFlags
    )

#### Parameters

poStateIdOrName
  Name or ID of new workflow state
bsComment
  Comment to append to the history of this BOM
lParentWnd
  Parent window handle; passed to registered add-ins
lEdmStateFlags
  Combination of EdmStateFlags bits

# Remarks

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmBom Interface
IEdmBom Members

# Availability

SOLIDWORKS PDM Professional 2009